libqt5script5_5.9.5+dfsg-0ubuntu1_i386.deb


Advertisement

Description

libqt5script5 - Qt 5 script module

Property Value
Distribution Ubuntu 18.04 (Bionic Beaver)
Repository Ubuntu Universe i386
Package name libqt5script5
Package version 5.9.5+dfsg
Package release 0ubuntu1
Package architecture i386
Package type deb
Installed size 2.75 KB
Download size 809.90 KB
Official Mirror archive.ubuntu.com
Qt is a cross-platform C++ application framework. Qt's primary feature
is its rich set of widgets that provide standard GUI functionality.
The QtScript module provides classes for making Qt applications scriptable.

Alternatives

Package Version Architecture Repository
libqt5script5_5.9.5+dfsg-0ubuntu1_amd64.deb 5.9.5+dfsg amd64 Ubuntu Universe
libqt5script5 - - -

Requires

Name Value
dpkg >= 1.15.6~
libc6 >= 2.4
libgcc1 >= 1:4.2
libqt5core5a >= 5.9.0~beta
libstdc++6 >= 5
qtbase-abi-5-9-5 -

Provides

Name Value
qtscript-abi-5-6-0 -

Download

Type URL
Binary Package libqt5script5_5.9.5+dfsg-0ubuntu1_i386.deb
Source Package qtscript-opensource-src

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libqt5script5 deb package:
    # sudo apt-get install libqt5script5

Files

Path
/usr/lib/i386-linux-gnu/libQt5Script.so.5
/usr/lib/i386-linux-gnu/libQt5Script.so.5.9
/usr/lib/i386-linux-gnu/libQt5Script.so.5.9.5
/usr/share/doc/libqt5script5/changelog.Debian.gz
/usr/share/doc/libqt5script5/copyright
/usr/share/lintian/overrides/libqt5script5

Changelog

2018-04-14 - Simon Quigley <tsimonq2@ubuntu.com>
qtscript-opensource-src (5.9.5+dfsg-0ubuntu1) bionic; urgency=medium
* New upstream release.
2018-02-25 - Simon Quigley <tsimonq2@ubuntu.com>
qtscript-opensource-src (5.9.4+dfsg-0ubuntu1) bionic; urgency=medium
* New upstream release.
2017-12-03 - Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
qtscript-opensource-src (5.9.2+dfsg-2) unstable; urgency=medium
* Do not call qmake directly anymore (Closes: #880934). Depend upon
debhelper >= 10.9.2~ to get the proper fix.
2017-11-30 - Simon Quigley <tsimonq2@ubuntu.com>
qtscript-opensource-src (5.9.3+dfsg-0ubuntu1) bionic; urgency=medium
* New upstream release.
* Bump build deps.
* Bump Standards-version to 4.1.2, no changes needed.
2017-10-27 - Dmitry Shachnev <mitya57@debian.org>
qtscript-opensource-src (5.9.2+dfsg-1) unstable; urgency=medium
* New upstream release.
* Bump Qt build-dependencies to 5.9.2.
* Use debhelper compat level 10 and dh_missing.
* Update debian/libqt5script5.symbols from buildds’ logs.
* Stop using deprecated Priority: extra.
* Bump Standards-Version to 4.1.1.
2017-08-15 - Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
qtscript-opensource-src (5.9.1+dfsg-2) unstable; urgency=medium
[ Dmitry Shachnev ]
* Drop qtscript5-private-dev package, there are no remaining reverse
dependencies.
[ Lisandro Damián Nicanor Pérez Meyer ]
* Upload to unstable.
2017-07-01 - Dmitry Shachnev <mitya57@debian.org>
qtscript-opensource-src (5.9.1+dfsg-1) experimental; urgency=medium
* New upstream release.
* Update debian/libqt5script5.symbols from buildds’ logs.
* Bump Standards-Version to 4.0.0, no changes needed.
* Bump Qt build-dependencies to 5.9.1.
* Simplify debian/watch to track only stable releases.
2017-06-16 - Simon Quigley <tsimonq2@ubuntu.com>
qtscript-opensource-src (5.9.0+dfsg-1) experimental; urgency=medium
[ Simon Quigley ]
* New upstream release.
* Modify debian/watch to automatically pick up new development *and*
final releases.
* Add myself to Uploaders.
[ Dmitry Shachnev ]
* Export QT_LOGGING_RULES="default.debug=true" to unbreak the tests
(this is needed to override settings from our new qtlogging.ini file).
2017-04-28 - Dmitry Shachnev <mitya57@debian.org>
qtscript-opensource-src (5.9.0~beta3+dfsg-1) experimental; urgency=medium
* New upstream beta release.
* Update debian/watch to track development releases.
* Bump Qt build-dependencies to 5.9.0~beta.
* Migrate to automatic dbgsym packages.
* Add support for “nodoc” build profile.
* Ignore the tests failures for now, will be investigated later.
* Remove the debian/copyright entry for dropped ce-compat code.
2016-11-01 - Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
qtscript-opensource-src (5.7.1~20161021+dfsg-2) unstable; urgency=medium
* Update symbols files with buildds' logs.

See Also

Package Description
libqt5scripttools5_5.9.5+dfsg-0ubuntu1_i386.deb Qt 5 script tools module
libqt5sensors5-dev_5.9.5-0ubuntu1_i386.deb Qt 5 Sensors development files
libqt5sensors5_5.9.5-0ubuntu1_i386.deb Qt Sensors module
libqt5serialport5-dev_5.9.5-0ubuntu1_i386.deb Qt 5 serial port development files
libqt5serialport5_5.9.5-0ubuntu1_i386.deb Qt 5 serial port support
libqt5sql5-ibase_5.9.5+dfsg-0ubuntu1_i386.deb Qt 5 Firebird database driver
libqt5sql5-mysql_5.9.5+dfsg-0ubuntu1_i386.deb Qt 5 MySQL database driver
libqt5sql5-odbc_5.9.5+dfsg-0ubuntu1_i386.deb Qt 5 ODBC database driver
libqt5sql5-psql_5.9.5+dfsg-0ubuntu1_i386.deb Qt 5 PostgreSQL database driver
libqt5sql5-tds_5.9.5+dfsg-0ubuntu1_i386.deb Qt 5 FreeTDS database driver
libqt5texttospeech5-dev_5.9.5-0ubuntu1_i386.deb Speech library for Qt - development files
libqt5texttospeech5_5.9.5-0ubuntu1_i386.deb Speech library for Qt - libraries
libqt5versit5_5.0~git20140515~29475884-0ubuntu24~7_i386.deb Qt PIM module, Versit library
libqt5versitorganizer5_5.0~git20140515~29475884-0ubuntu24~7_i386.deb Qt PIM module, Versit Organizer library
libqt5waylandclient5-dev_5.9.5-0ubuntu1_i386.deb QtWayland client development files
Advertisement
Advertisement